## Index

### Type aliases

- CallBackFind

### Functions

- find

## Type aliases

### CallBackFind

CallBackFind: function

- Defined in methods/find.ts:2

returns boolean

#### Type declaration

- - (value: T, index?: undefined | number, collection?: T[]): Promise<boolean>

  - #### Parameters

    - ##### value: T

    - ##### Optional index: undefined | number

    - ##### Optional collection: T[]

    #### Returns Promise<boolean>

## Functions

### find

- find<T>(elements: T[], cb: CallBackFind<T>): Promise<T | undefined>

- - Defined in methods/find.ts:17

  Async Find function

  export
  template

    T

  #### Type parameters

  - #### T

  #### Parameters

  - ##### elements: T[]

  - ##### cb: CallBackFind<T>

  #### Returns Promise<T | undefined>

Generated using TypeDoc